<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_edc5e56d0d7493" . "7af4aa39a12b4e6" . "2f4" => base64_decode("MDAu" . "MDA="), "_4e804c3c659ffa" . "927094580817423" . "76b" => base64_decode("Q3JlYXRpbmcgc2NoZ" . "W1h"), "_0a441bddac7beb" . "ad7a9858a0dfadc" . "d90" => base64_decode("MDE" . "uMD" . "E="), "_98587fc188" . "f350370f03d" . "54707c587e1" => base64_decode("aXNfcmVhZGF" . "ibGU="), "_98080012c02491a0c0cf9a" . "f5c977f3c7" => base64_decode("U2NoZW1hIGZp" . "bGU6IA=="), "_09fd03941a048e1f28e823189" . "007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZW50I" . "HZlcnNpb24gaXMgJw=="), "_e608e5b5c4c34a67ba97ef84c1" . "e16199" => base64_decode("J" . "w" . "=" . "="), "_afa8b786a0282957bc" . "5e6c82eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24" . "ndCBleGlzdCBvciBub3Qgcm" . "VhZGFibGUsIHNraXBwaW5nI" . "HNjaGVtYSBjcmVhdGlvbg=="), "_3c4298ad118f03" . "549387eda8af859" . "750" => base64_decode("QXBwbGljYXRpb24gYWxy" . "ZWFkeSBpbnN0YWxsZWQ="), "_c1bf7b7ebd1ab8431a8561d762db189" . "5" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGx" . "lZC4gQ2Fubm90IHVwZGF0ZQ=="), "_bc2b2cbee209b1" . "cad0873479a8fd9" . "21a" => base64_decode("L3NjaGVtYS9zY" . "2hlbWEucGhw"));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_3c4298ad118f03549387eda8af" . "859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c1bf7b7ebd1ab8431a8561d" . "762db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_bc2b2cbee209b1c" . "ad0873479a8fd921" . "a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_98587fc188f350370f03d54707c" . "587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_98080012c02491a0c0cf" . "9af5c977f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4e804c3c659ffa927094580817" . "42376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0a441bddac7bebad7a9858a0dfadc" . "d90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_09fd03941a048e" . "1f28e823189007c" . "ddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e608e5b5c4c34a67ba97ef84c" . "1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_afa8b786a0282957bc5e6c82eb5e" . "eaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_edc5e56d0d74937af4" . "aa39a12b4e62f4"]);
        }
    }
}